### Method

# Atspi EventListener register_full

#### Declaration [src]

    gboolean
    atspi_event_listener_register_full (
      AtspiEventListener* listener,
      const gchar* event_type,
      GArray* properties,
      GError** error
    )

#### Description [src]

Adds an in-process callback function to an existing `AtspiEventListener`.

#### Parameters

`event_type`

  Type: `const gchar*`

  A character string indicating the type of events for which notification is requested. See #atspi_event_listener_register for a description of the format and legal event types.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`properties`

  Type: An array of `utf8`

  A list of properties that should be sent along with the event. The properties are valued for the duration of the event callback. TODO: Document.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, otherwise `FALSE`.